cURL
curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v1/{instance}/send-location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"latitude": 38.8937255,
"longitude": -77.0969763,
"title": "Our office",
"reply_to": "string"
}
'import requests
url = "https://app.hypersender.com/api/whatsapp/v1/{instance}/send-location"
payload = {
"chatId": "[email protected]",
"latitude": 38.8937255,
"longitude": -77.0969763,
"title": "Our office",
"reply_to": "string"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
chatId: '[email protected]',
latitude: 38.8937255,
longitude: -77.0969763,
title: 'Our office',
reply_to: 'string'
})
};
fetch('https://app.hypersender.com/api/whatsapp/v1/{instance}/send-location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"key": {
"remoteJid": "[email protected],",
"fromMe": "true,",
"id": "3EB0CD3810439716606547"
},
"message": {
"locationMessage": {
"degreesLatitude": 38.8937255,
"degreesLongitude": -77.0969763
}
},
"messageTimestamp": 1741359489,
"status": "PENDING"
}Send Location
You can send a location to a chat by providing latitude and longitude coordinates.
POST
/
{instance}
/
send-location
cURL
location to a chat


Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
application/json
Example:
"application/json"
application/json
Example:
"application/json"
Path Parameters
Instance UUID copied from hypersender dashboard
Example:
"{{ instance_id }}"
Body
application/json
⌘I